# 功能清单

## v0.2.0

#### 填空题

- 行间距需要可调。
- 每个小题空数不同。（两种编辑模式：纵向模式和横向模式）
- 自定义小题数量，与标准小题数量。

#### 选择题

- 小题可选择“横向排列”、“纵向排列”。
- 已 4×4 为标准展示样例。
- 判断题：提供是非的文本配置，默认“√”与“×”。

#### 解答题

- 小题内的元素可复制，也可复制到其他小题。
- 元素移动是新增辅助线。
- 题卡制作时，同栏子答题区之间的横线给虚线。预览时，不显示虚线。

#### 作文题

- 转变成如解答题一样的处理方式。
- 文字，图案和排线可单独插入。可以新增扩展区域。

#### 其他

- 优化右键菜单。
- 新增多横线元素。
- 高度不够时及时提醒。
- 客观题和主观题改变大题顺序。
- 在当前大题下新建大题。
- 所有试题元素新增最小高度字段。
- 客观题编辑时新增题型标志。

## v0.1.0

### 主功能

- 基础设置：纸质规格 A3，栏位布局，启用 A/B 卷，启用答题区，已建题号(只展示)。
- 试题配置：选择题，填空题，解答题，作文题。
- 插入元素：横线，竖线，文本，图片。
- 配置题卡设置。
- 导出卡格式。

### 试题功能

#### 选择题

- 题目名称，起止题号，选项个数，判断题，多选题。
- 分组拆分展示。

#### 填空题

- 题目名称，起止题号，每行空数，每空行数，题号前缀。
- 分组拆分展示。

#### 解答题

- 题目名称，起止题号。
- 小题内可插入元素。
- 小题可以新增额外答题区，新增的答题区不展示题号。
- 只有一个小题的解答题，不展示题号。

#### 作文题

- 题目名称，作文行数。
- 可插入文本和图片，不能左右移动，可调整高度。

### 卡头功能

- 标题处可编辑学校名称，题卡名称以及副标题信息。
- 条码区支持自动条码，手动条码和手动填涂。
- 个人信息区支持动态配置字段。
- 注意事项支持动态编辑。
- 其他功能区：手写签名，缺考标记，试卷类型。
- 在填空非第一页的奇数页会展示简易卡头。
- 卡头在不同栏位布局中展示有差异，三栏和四栏布局保持一致。

### 题型头

- 客观题和主观题首题前需要添加提醒头。
- 栏位顶部需要添加题型头，如果有卡头，则添加在卡头之下。
- 客观题始终在主观题前面。

### 元素功能

- 横竖线：线长，样式，颜色，粗细。
- 文字：内容，字体，字号，加粗，颜色。
- 图片：边框颜色，边框形状，上传图片。

### 其他功能

- 暂存时不生产卡格式。
- 提交时，生产卡格式，后台题卡模板。
- 预览页支持路由预览和 frame 预览，题卡提交会使用 frame 预览。
