import { $postParam, $post } from "@/plugins/axios";

export const cardConfigInfos = id => {
  return $postParam("/api/admin/basic/card_rule/get_one", { id });

  // return Promise.resolve({
  //   pageSize: "A3",
  //   columnNumber: 2,
  //   columnGap: 20,
  //   showForbidArea: true,
  //   cardName: "",
  //   examAbsent: true,
  //   writeSign: true,
  //   examNumberStyle: "PRINT", // PRINT:印刷条码, PASTE:粘贴条码, FILL:考号填涂
  //   aOrBSystem: true, // 后台附带的aOrB设置，如果有则使用这个值，如果没有则前台自动设置
  //   paperType: "PRINT", // PRINT: "印刷",FILL: "填涂"
  //   schoolName: "河南财经政法大学", // cartTitle
  //   cardTitleDesc: "",
  //   businessParams: [
  //     {
  //       name: "学号",
  //       code: "studentNo"
  //     },
  //     {
  //       name: "姓名",
  //       code: "username"
  //     },
  //     {
  //       name: "课程名称",
  //       code: "courseName"
  //     },
  //     {
  //       name: "课程名称",
  //       code: "subjectName"
  //     }
  //   ],
  //   attention: [
  //     "答题前，请考生认真核对姓名、学号、教学班号、课程名称等信息，确认无误后签名。",
  //     "客观题部分必须使用2B铅笔填涂，主观题部分请使用黑色签字笔写在指定的答题区内。",
  //     "保持卡面清洁，不破损。"
  //   ],
  //   objectiveAttention:
  //     "注意：必须使用2B铅笔填涂；在答题区内作答，超出涂填边框限定区域的答案无效。",
  //   subjectiveAttention:
  //     "注意：必须使用黑色字迹签字笔书写；在答题区内作答，超出以下黑色矩形边框限定区域的答案无效。"
  // });
};
export const cardDetail = cardId => {
  return $postParam("/api/admin/exam/card/get_one", { cardId });
};

export const saveCard = (datas, config = {}) => {
  return $post("/api/admin/exam/card/save", datas, config);
};
