import { $postParam, $post } from "@/plugins/axios";

// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/sys/user/list_customer", datas);
};
export const updateUser = datas => {
  return $post("/api/admin/sys/user/save_customer", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/admin/sys/user/enable", { id, enable });
};
export const resetPwd = id => {
  return $post("/api/admin/sys/user/reset_password", { id });
};
export const userRoleListPage = () => {
  return $postParam("/api/admin/sys/role/list_to_user", {});
};

// menu-manage
export const menuList = datas => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const updateMenu = datas => {
  return $post("/api/admin/sys/privilege/save", datas);
};
export const deleteMenu = id => {
  return $post("/api/admin/sys/privilege/remove", { id });
};
