import AdminUserManage from "./views/AdminUserManage.vue";
import PrivilegeManage from "./views/PrivilegeManage.vue";
import SystemRoleManage from "./views/SystemRoleManage.vue";
import Admin from "./views/Admin.vue";

export default {
  path: "/admin",
  name: "Admin",
  component: Admin,
  children: [
    {
      path: "admin-user-manage",
      name: "AdminUserManage",
      component: AdminUserManage
    },
    {
      path: "privilege-manage",
      name: "PrivilegeManage",
      component: PrivilegeManage
    },
    {
      path: "system-role-manage",
      name: "SystemRoleManage",
      component: SystemRoleManage
    }
  ]
};
