export const SYS_ADMIN_NAME = "sysadmin";

// 通用 -------------->
// 启用/禁用
export const ABLE_TYPE = {
  0: "禁用",
  1: "启用"
};

// 是 / 否
export const BOOLEAN_TYPE = {
  0: "否",
  1: "是"
};

// 审核状态
export const AUDITING_STATUS = {
  START: "待审核",
  AUDITING: "审核中",
  REJECT: "已驳回",
  END: "已终止",
  FINISH: "已结束"
};

// 审核结果
export const AUDITING_RESULT = {
  NOT_PASS: "未通过",
  PASS: "通过"
};
export const TASK_AUDIT_RESULT = {
  REJECT: "驳回",
  PASS: "通过"
};

// 权限类型
export const PRIVILEGE_TYPE = {
  MENU: "菜单",
  URL: "操作"
};
// 接口权限类型
export const URL_PRIVILEGE_TYPE = {
  MENU: "菜单",
  URL: "操作"
};

// 基础 -------------->
// 机构
export const ORG_TYPE = {
  COLLEGE: "学院",
  FACULTY: "院系",
  TEACHING_ROOM: "教研室",
  PRINTING_HOUSE: "印刷室"
};
// 角色
export const ROLE_TYPE = {
  SCHOOL_ADMIN: "管理员",
  EXAM_TEACHER: "考务老师",
  QUESTION_TEACHER: "命题老师",
  CUSTOMER: "客服人员",
  PRINT: "印刷人员",
  CUSTOM: "自定义"
};

// 通用题卡规则id
export const COMMON_CARD_RULE_ID = "-1";

// 模板类型
export const TEMPLATE_TYPE = {
  GENERIC: "通卡模板",
  VARIABLE: "变量印品模板",
  ORDINARY: "普通印品模板"
};

// 提交印刷方式
export const CONFIRM_PRINT_TYPE = {
  MANUAL: "手动",
  AUTO: "自动"
};

// 命题 -------------->
// 待办任务警告时间
export const TASK_WARNING_TIME = 3 * 24 * 60 * 60 * 1000;

// 题卡
// 条码类型
export const EXAM_NUMBER_STYLE = {
  PRINT: "印刷条码",
  PASTE: "粘贴条码",
  FILL: "考号填涂"
};
// 试卷类型方式
export const PAPER_TYPE = {
  PRINT: "印刷"
  // FILL: "填涂"
};

// 命题任务状态
export const EXAM_TASK_STATUS = {
  DRAFT: "新建",
  STAGE: "待命题",
  AUDITING: "审核中",
  REJECT: "驳回",
  FINISH: "已完成"
};

// 题卡创建方式
export const CARD_SOURCE_TYPE = {
  SELECT: "选择已有答题卡",
  SELF: "自助创建",
  CUST: "申请客服制卡"
};

// 模板类型
export const TEMPLATE_CLASSIFY = {
  SIGN: "签到表",
  PACKAGE: "卷袋贴",
  CHECK_IN: "考试情况登记表"
};

// 数据管理
export const DATA_TASK_STATUS = {
  INIT: "未开始",
  RUNNING: "进行中",
  FINISH: "已完成"
};
export const DATA_TASK_TYPE = {
  QUESTION_MISSION_BATCH_CREATE: "批量新建命题任务",
  SAMPLE_EXPORT: "导出审核样本",
  EXAMINATION_IMPORT: "考务数据导入",
  EXAMINATION_EXPORT: "考务数据导出",
  PRINT_PDF_DOWNLOAD: "批量下载pdf",
  CREATE_PDF: "生成pdf",
  USER_IMPORT: "用户导入",
  STUDENT_IMPORT: "学生导入",
  COURSE_IMPORT: "课程导入",
  PAPER_AND_CARD_PDF_DOWNLOAD: "卷库查询管理试卷、空白题卡批量下载pdf"
};
export const DATA_TASK_RESULT = {
  SUCCESS: "成功",
  ERROR: "失败"
};

// 印刷 -------------->
// 印刷计划状态
export const PRINT_PLAN_STATUS = {
  NEW: "新建",
  READY: "就绪",
  PRINTING: "印刷中",
  PRINT_FINISH: "印刷完成",
  END: "已结束"
};
// 印刷计划相关
export const DRAW_RULE_TYPE = {
  ONE: "只抽取一次",
  CIRCLE: "可反复抽取"
};
export const PRINT_BACKUP_TYPE = {
  ROOM: "每考场"
  // STUDENT: "每考生"
};
export const PAPER_BACKUP_TYPE = {
  ROOM: "每考场"
  // PLACE: "每考点"
};
export const PRINT_CONTENT_TYPE = {
  PAPER: "试卷",
  CARD: "题卡"
};

// 印刷任务状态
export const PRINT_TASK_STATUS = {
  NEW: "新建",
  READY: "就绪",
  WAITING: "待印刷",
  PRINTING: "印刷中",
  FINISH: "已完成"
};
