export default [
  {
    path: "/card/design/:cardId?",
    name: "CardDesign",
    component: () =>
      import(
        /* webpackChunkName: "CardDesign" */ "../../../card/views/CardDesign.vue"
      )
  },
  {
    // viewType::: view:预览,print:打印,frame:iframe嵌套
    path: "/card/preview/:cardId/:viewType",
    name: "CardPreview",
    component: () =>
      import(
        /* webpackChunkName: "CardPreview" */ "../../../card/views/CardPreview.vue"
      )
  },
  {
    path: "/card/card-rule/preview/:cardRuleId",
    name: "CardRulePreview",
    component: () =>
      import(
        /* webpackChunkName: "CardRulePreview" */ "../../../card/views/CardRulePreview.vue"
      )
  }
];
